package com.steerinfo.meterwork.meterworkcarcheck.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="车辆核查登记表")
public class MeterWorkCarCheck implements IBasePO<String> {
    /**
     * 主键(PK_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="主键",required=true)
    private String pkNo;

    /**
     * 预报编号(PREDICTION_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="预报编号",required=true)
    private String predictionNo;

    /**
     * 车号(CAR_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车号",required=true)
    private String carNo;

    /**
     * 挂号(MNEMONIC_CODE,VARCHAR,10)
     */
    @ApiModelProperty(value="挂号",required=false)
    private String mnemonicCode;

    /**
     * 司机姓名(DRIVER_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="司机姓名",required=true)
    private String driverName;

    /**
     * 身份证号(ID_NUM,VARCHAR,40)
     */
    @ApiModelProperty(value="身份证号",required=true)
    private String idNum;

    /**
     * 联系电话(TEL_NUM,VARCHAR,20)
     */
    @ApiModelProperty(value="联系电话",required=false)
    private String telNum;

    /**
     * 供应商编号(CUSTOMER_SUPPLIER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="供应商编号",required=false)
    private String customerSupplierNo;

    /**
     * 供应商名称(CUSTOMER_SUPPLIER_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="供应商名称",required=false)
    private String customerSupplierName;

    /**
     * 可运危化品(TRANSPORT_CHEMICAL,VARCHAR,1)
     */
    @ApiModelProperty(value="可运危化品",required=true)
    private String transportChemical;

    /**
     * 限载重量(LIMIT_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="限载重量",required=false)
    private BigDecimal limitWeight;

    /**
     * 携带物(TOTE,VARCHAR,200)
     */
    @ApiModelProperty(value="携带物",required=false)
    private String tote;

    /**
     * 水箱为空(WATER_BOX_IS_EMPTY,VARCHAR,1)
     */
    @ApiModelProperty(value="水箱为空",required=true)
    private String waterBoxIsEmpty;

    /**
     * 进厂核查人编号(ENTER_CHECK_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="进厂核查人编号",required=false)
    private String enterCheckManNo;

    /**
     * 进厂核查人姓名(ENTER_CHECK_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="进厂核查人姓名",required=false)
    private String enterCheckManName;

    /**
     * 进厂核查时间(ENTER_CHECK_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="进厂核查时间",required=false)
    private Date enterCheckTime;

    /**
     * 出厂核查人编号(LEAVE_CHECK_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="出厂核查人编号",required=false)
    private String leaveCheckManNo;

    /**
     * 出厂核查人姓名(LEAVE_CHECK_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="出厂核查人姓名",required=false)
    private String leaveCheckManName;

    /**
     * 出厂核查时间(LEAVE_CHECK_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="出厂核查时间",required=false)
    private Date leaveCheckTime;

    /**
     * 核查结果(CHECK_RESULT,VARCHAR,1)
     */
    @ApiModelProperty(value="核查结果",required=true)
    private String checkResult;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 状态(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态",required=true)
    private String valueFlag;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.pkNo;
    }

    @Override
    public void setId(String pkNo) {
        this.pkNo = pkNo == null ? null : pkNo.trim();
    }

    public String getPkNo() {
        return pkNo;
    }

    public void setPkNo(String pkNo) {
        this.pkNo = pkNo == null ? null : pkNo.trim();
    }

    public String getPredictionNo() {
        return predictionNo;
    }

    public void setPredictionNo(String predictionNo) {
        this.predictionNo = predictionNo == null ? null : predictionNo.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public String getMnemonicCode() {
        return mnemonicCode;
    }

    public void setMnemonicCode(String mnemonicCode) {
        this.mnemonicCode = mnemonicCode == null ? null : mnemonicCode.trim();
    }

    public String getDriverName() {
        return driverName;
    }

    public void setDriverName(String driverName) {
        this.driverName = driverName == null ? null : driverName.trim();
    }

    public String getIdNum() {
        return idNum;
    }

    public void setIdNum(String idNum) {
        this.idNum = idNum == null ? null : idNum.trim();
    }

    public String getTelNum() {
        return telNum;
    }

    public void setTelNum(String telNum) {
        this.telNum = telNum == null ? null : telNum.trim();
    }

    public String getCustomerSupplierNo() {
        return customerSupplierNo;
    }

    public void setCustomerSupplierNo(String customerSupplierNo) {
        this.customerSupplierNo = customerSupplierNo == null ? null : customerSupplierNo.trim();
    }

    public String getCustomerSupplierName() {
        return customerSupplierName;
    }

    public void setCustomerSupplierName(String customerSupplierName) {
        this.customerSupplierName = customerSupplierName == null ? null : customerSupplierName.trim();
    }

    public String getTransportChemical() {
        return transportChemical;
    }

    public void setTransportChemical(String transportChemical) {
        this.transportChemical = transportChemical == null ? null : transportChemical.trim();
    }

    public BigDecimal getLimitWeight() {
        return limitWeight;
    }

    public void setLimitWeight(BigDecimal limitWeight) {
        this.limitWeight = limitWeight;
    }

    public String getTote() {
        return tote;
    }

    public void setTote(String tote) {
        this.tote = tote == null ? null : tote.trim();
    }

    public String getWaterBoxIsEmpty() {
        return waterBoxIsEmpty;
    }

    public void setWaterBoxIsEmpty(String waterBoxIsEmpty) {
        this.waterBoxIsEmpty = waterBoxIsEmpty == null ? null : waterBoxIsEmpty.trim();
    }

    public String getEnterCheckManNo() {
        return enterCheckManNo;
    }

    public void setEnterCheckManNo(String enterCheckManNo) {
        this.enterCheckManNo = enterCheckManNo == null ? null : enterCheckManNo.trim();
    }

    public String getEnterCheckManName() {
        return enterCheckManName;
    }

    public void setEnterCheckManName(String enterCheckManName) {
        this.enterCheckManName = enterCheckManName == null ? null : enterCheckManName.trim();
    }

    public Date getEnterCheckTime() {
        return enterCheckTime;
    }

    public void setEnterCheckTime(Date enterCheckTime) {
        this.enterCheckTime = enterCheckTime;
    }

    public String getLeaveCheckManNo() {
        return leaveCheckManNo;
    }

    public void setLeaveCheckManNo(String leaveCheckManNo) {
        this.leaveCheckManNo = leaveCheckManNo == null ? null : leaveCheckManNo.trim();
    }

    public String getLeaveCheckManName() {
        return leaveCheckManName;
    }

    public void setLeaveCheckManName(String leaveCheckManName) {
        this.leaveCheckManName = leaveCheckManName == null ? null : leaveCheckManName.trim();
    }

    public Date getLeaveCheckTime() {
        return leaveCheckTime;
    }

    public void setLeaveCheckTime(Date leaveCheckTime) {
        this.leaveCheckTime = leaveCheckTime;
    }

    public String getCheckResult() {
        return checkResult;
    }

    public void setCheckResult(String checkResult) {
        this.checkResult = checkResult == null ? null : checkResult.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", pkNo=").append(pkNo);
        sb.append(", predictionNo=").append(predictionNo);
        sb.append(", carNo=").append(carNo);
        sb.append(", mnemonicCode=").append(mnemonicCode);
        sb.append(", driverName=").append(driverName);
        sb.append(", idNum=").append(idNum);
        sb.append(", telNum=").append(telNum);
        sb.append(", customerSupplierNo=").append(customerSupplierNo);
        sb.append(", customerSupplierName=").append(customerSupplierName);
        sb.append(", transportChemical=").append(transportChemical);
        sb.append(", limitWeight=").append(limitWeight);
        sb.append(", tote=").append(tote);
        sb.append(", waterBoxIsEmpty=").append(waterBoxIsEmpty);
        sb.append(", enterCheckManNo=").append(enterCheckManNo);
        sb.append(", enterCheckManName=").append(enterCheckManName);
        sb.append(", enterCheckTime=").append(enterCheckTime);
        sb.append(", leaveCheckManNo=").append(leaveCheckManNo);
        sb.append(", leaveCheckManName=").append(leaveCheckManName);
        sb.append(", leaveCheckTime=").append(leaveCheckTime);
        sb.append(", checkResult=").append(checkResult);
        sb.append(", memo=").append(memo);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}